FROM ubuntu:16.04

ARG DOWNLOAD_URL

RUN apt-get update -qq; \
    apt-get install -qq -y --no-install-recommends apt-utils\
    gconf-service \
    lib32gcc1 \
    lib32stdc++6 \
    libasound2 \
    libc6 \
    libc6-i386 \
    libcairo2 \
    libcap2 \
    libcups2 \
    libdbus-1-3 \
    libexpat1 \
    libfontconfig1 \
    libfreetype6 \
    libgcc1 \
    libgconf-2-4 \
    libgdk-pixbuf2.0-0 \
    libgl1-mesa-glx \
    libglib2.0-0 \
    libglu1-mesa \
    libgtk2.0-0 \
    libnspr4 \
    libnss3 \
    libpango1.0-0 \
    libstdc++6 \
    libx11-6 \
    libxcomposite1 \
    libxcursor1 \
    libxdamage1 \
    libxext6 \
    libxfixes3 \
    libxi6 \
    libxrandr2 \
    libxrender1 \
    libxtst6 \
    zlib1g \
    npm \
    xdg-utils \
    lsb-release \
    libpq5 \
    xvfb \
    wget \
    && apt-get clean \
    && rm -rf /var/lib/apt/lists/*
 

RUN mkdir -p /root/opt/Unity/             

RUN wget "http://beta.unity3d.com/download/ee86734cf592/unity-editor_amd64-2017.2.0f3.deb"    \
    # -nv ${DOWNLOAD_URL}
    mv unity-editor_amd64-2017.2.0f3.deb  /opt/Unity  \
    # install unity
    dpkg -i /opt/Unity/unity-editor_amd64-2017.2.0f3.deb  \
    
    mkdir -p $HOME/.local/share/unity3d/Certificates/

ADD CACerts.pem $HOME/.local/share/unity3d/Certificates/

# Clean up
RUN rm -rf /tmp/* /var/tmp/*
